%global fontname astloch
%global fontconf 61-%{fontname}-fonts.conf
%global checkout 41528389c445hg


Name:          %{fontname}-fonts
Version:       1.00
Release:       10.%{checkout}%{?dist}
Summary:       Astloch fonts released by Dan Rhatigan
License:       OFL
URL:           http://www.google.com/fonts/specimen/Astloch
Source0:       https://googlefontdirectory.googlecode.com/hg/ofl/astloch/src/Astloch-Regular-TTF.sfd
Source1:       https://googlefontdirectory.googlecode.com/hg/ofl/astloch/src/Astloch-Bold-TTF.sfd
Source2:       https://googlefontdirectory.googlecode.com/hg/ofl/astloch/OFL.txt
Source10:      %{fontconf}
BuildArch:     noarch
BuildRequires: fontpackages-devel
BuildRequires: fontforge
BuildRequires: ttname
Requires:      fontpackages-filesystem

%description
Astloch is a set of mono linear display faces — one delicate, one sturdy based
on the mix of sharp angles and florid curves found in Fraktur lettering.


%prep
%setup -qTc
cp -p %{SOURCE0} %{SOURCE1} %{SOURCE2} .


%build
fontforge -lang=ff -script "-" *.sfd <<_EOF
i = 1
while ( i < \$argc )
  Open (\$argv[i], 1)
  Generate (\$fontname + ".ttf")
  PrintSetup (5)
  PrintFont (0, 0, "", \$fontname + "-sample.pdf")
  Close()
  i++
endloop
_EOF
ttname --copyright="$(head -n1 OFL.txt)" --license="$(cat OFL.txt)" --license-url="http://scripts.sil.org/OFL" *.ttf || exit 0

%install
install -m 0755 -d %{buildroot}%{_fontdir}

install -m 0644 -p *.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE10} \
    %{buildroot}%{_fontconfig_templatedir}/%{fontconf}

ln -s %{_fontconfig_templatedir}/%{fontconf} \
        %{buildroot}%{_fontconfig_confdir}/%{fontconf}


%_font_pkg -f %{fontconf} *.ttf
%doc OFL.txt *.pdf


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-10.41528389c445hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-9.41528389c445hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-8.41528389c445hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jul 23 2017 Julien Enselme <jujens@jujens.eu> - 1.00-7.41528389c445hg
- Rebuilt because of an empty file

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-6.41528389c445hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.00-5.41528389c445hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-4.41528389c445hg
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Fri Sep 26 2014 Julien Enselme <jujens@jujens.eu> - 1.00-3.41528389c445hg
- Update URL and sources.
- Remove %%{files} macro (contained in %%{_font_pkg})

* Thu Apr 24 2014 Julien Enselme <jujens@jujens.eu> - 1.00-2.41528389c445hg
- Update SPEC to match an easy fonts template.

* Thu Mar 27 2014 Julien Enselme <jujens@jujens.eu> - 1.00-1.41528389c445hg
- Initial packaging.
